(defun DTR (a)					;degrees to radians function
(* PI (/ a 180.0))
);defun
;=========================================
(defun C:BOX1 (/ IP P1 P2 P3 LENGTH HEIGHT	;define function and declare
		OLDSNAP OLDBLIP OLDLIGHT)	;variables as local

(setq OLDSNAP (getvar "OSMODE")			;store system variables
      OLDBLIP (getvar "BLIPMODE")
     OLDLIGHT (getvar "HIGHLIGHT")
);setq
;=========================================
(setvar "CMDECHO" 0)				;change system variables
(setvar "BLIPMODE" 0)
(setq IP (getpoint "\nInsertion Point: "))	;get insertion point
(setvar "OSMODE" 0)				;switch off snap
(setq LENGTH (getreal "\nEnter Length: ")	;get length of box
      HEIGHT (getreal "\nEnter Height: ")	;get height of box
);setq
;=========================================
(setq P1 (polar IP (DTR 0.0) LENGTH)		;calculate first corner
      P2 (polar P1 (DTR 90.0) HEIGHT)		;calculate second corner
      P3 (polar P2 (DTR 180.0) LENGTH)		;calculate third corner
);setq
;=========================================
(command "PLINE" IP "W" "" ""
	 P1 P2 P3 "C"
);command					;draw the box
;=========================================
(prompt "\nRotation Angle: ")			;prompt the user for rotation
(command "ROTATE" "LAST" "" IP pause)		;rotate the box
;=========================================
(setvar "OSMODE" OLDSNAP)			;reset system variables
(setvar "BLIPMODE" OLDBLIP)
(setvar "HIGHLIGHT" OLDLIGHT)
(princ)						;exit quietly
);defun
